Begin TOTP setup

POST/auth/v1/users/current/totp/setup

Begins TOTP setup for the authenticated user by generating and returning a provisioning secret and QR code that have not yet been enabled.

Authorization<token>

In: header

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/authv1.SetupOTPResponse",
  "$ref-value": {
    "properties": {
      "qr_code_url": {
        "type": "string"
      },
      "secret": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/auth/v1/users/current/totp/setup"

OK

application/json

{
  "$ref": "#/components/schemas/authv1.SetupOTPResponse",
  "$ref-value": {
    "properties": {
      "qr_code_url": {
        "type": "string"
      },
      "secret": {
        "type": "string"
      }
    },
    "type": "object"
  }
}